You are not logged in.

#1 2022-01-02 19:00:46

kevdog
Member
Registered: 2013-01-26
Posts: 98

Deprecation Warnings when using dkms

Hi - I researched these two issues below and they seem to be related to old libraries using within python:

(10/14) Install DKMS modules
==> dkms install --no-depmod zfs/git -k 5.15.12-zen1-1-zen
<string>:1: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives
<string>:1: DeprecationWarning: The distutils.sysconfig module is deprecated, use sysconfig instead

I'm not exactly sure however how to deal with these errors as it would seem dkms is calling a python executable.  Any recommendations on how to proceed would be great.

Offline

#2 2022-01-02 20:16:37

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 15,069

Re: Deprecation Warnings when using dkms

This is a "bug" in the zfs build scripts and should be reported and fixed there.

And apparently was: https://github.com/openzfs/zfs/pull/12781 when did you last actually update/rebuild your zfs-git package?

But ultimately a warning is that, a warning so that sufficient advance information is given for developers to react, so even if this is an issue in dkms there's no immediate need to react to it and it "should" just be reported to upstream so it can eventually be fixed. But from what I'm seeing this is explicitly the zfs scripts using a deprecated function within dkms  they shouldn't be using anymore.

Last edited by V1del (2022-01-02 20:37:42)

Online

#3 2022-01-05 21:23:55

Zod
Member
From: Hoosiertucky
Registered: 2019-03-10
Posts: 511

Re: Deprecation Warnings when using dkms

I'm not so sure this is getting resolved.

I am seeing this with zfs-dkms in the aur, after seeing this thread I used dkms to remove the modules, checked that /usr/src/zfs-2.1.2 did not exist, rebooted and then built (fresh) zfs-dkms.

After upgrading to kernel linux-zen-5.15.13.zen1-1-x86_64 (with the headers) the issue still exists.

There are actually two separate components here (I think)...

The warning kevdog is pointing out is...

DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12

V1del is pointing to this..
https://github.com/openzfs/zfs/pull/12781

Which I think is a separate issue.

I think the warning that kevdog is seeing, as am I is...

https://github.com/openzfs/zfs/issues/12833

and

https://github.com/marshmallow-code/mar … /pull/1903

Supposedly, this is the fix...

https://github.com/marshmallow-code/mar … 76aaea9b59

Which I think is meant to be included in python 3.10...supposedly merged Nov 14, 2021

So, I'm not sure where this all stands.

Offline

#4 2022-01-08 18:15:17

kevdog
Member
Registered: 2013-01-26
Posts: 98

Re: Deprecation Warnings when using dkms

Thanks for the updates, honestly after reading the links provided by @Zod, and other github commits, I'm not exactly sure where this issue stands either.  Seems by reading it's more a python issue.

Offline

Board footer

Powered by FluxBB